xgboost

Public Member Functions | Static Public Member Functions | List of all members
xgboost::JsonBoolean Class Reference

Describes both true and false. More...

`#include <json.h>`

Inheritance diagram for xgboost::JsonBoolean:
Collaboration diagram for xgboost::JsonBoolean:

## Public Member Functions
| JsonBoolean ()
template<typename Bool , typename std::enable_if< std::is_same< Bool, bool >::value||std::is_same< Bool, bool const >::value >::type * = nullptr>
| JsonBoolean (Bool value)
| JsonBoolean (JsonBoolean &&value) noexcept
void | Save (JsonWriter *writer) override
Json & | operator[] (std::string const &key) override
Json & | operator[] (int ind) override
bool const & | GetBoolean () &&
bool const & | GetBoolean () const &
bool & | GetBoolean () &
bool | operator== (Value const &rhs) const override
Value & | operator= (Value const &rhs) override
Public Member Functions inherited from xgboost::Value
| Value (ValueKind _kind)
ValueKind | Type () const
virtual | ~Value ()=default
std::string | TypeStr () const

## Static Public Member Functions
static bool | IsClassOf (Value const *value)

## Additional Inherited Members
Public Types inherited from xgboost::Value
enum | ValueKind { ValueKind::kString, ValueKind::kNumber, ValueKind::kInteger, ValueKind::kObject, ValueKind::kArray, ValueKind::kBoolean, ValueKind::kNull }
| Simplified implementation of LLVM RTTI. More...

## Detailed Description

Describes both true and false.

## Constructor & Destructor Documentation

## ◆ JsonBoolean() [1/3]

xgboost::JsonBoolean::JsonBoolean | ( |  | ) |
| inline

## ◆ JsonBoolean() [2/3]

template<typename Bool , typename std::enable_if< std::is_same< Bool, bool >::value||std::is_same< Bool, bool const >::value >::type * = nullptr>

xgboost::JsonBoolean::JsonBoolean | ( | Bool | value | ) |
| inline

## ◆ JsonBoolean() [3/3]

xgboost::JsonBoolean::JsonBoolean | ( | JsonBoolean && | value | ) |
| inline noexcept

## Member Function Documentation

## ◆ GetBoolean() [1/3]

bool& xgboost::JsonBoolean::GetBoolean | ( |  | ) | &
| inline

## ◆ GetBoolean() [2/3]

bool const& xgboost::JsonBoolean::GetBoolean | ( |  | ) | &&
| inline

## ◆ GetBoolean() [3/3]

bool const& xgboost::JsonBoolean::GetBoolean | ( |  | ) | const &
| inline

## ◆ IsClassOf()

static bool xgboost::JsonBoolean::IsClassOf | ( | Value const * | value | ) |
| inline static

## ◆ operator=()

Value& xgboost::JsonBoolean::operator= | ( | Value const & | rhs | ) |
| override virtual

Implements xgboost::Value.

## ◆ operator==()

bool xgboost::JsonBoolean::operator== | ( | Value const & | rhs | ) | const
| override virtual

Implements xgboost::Value.

## ◆ operator[]() [1/2]

Json& xgboost::JsonBoolean::operator[] | ( | int | ind | ) |
| override virtual

Implements xgboost::Value.

## ◆ operator[]() [2/2]

Json& xgboost::JsonBoolean::operator[] | ( | std::string const & | key | ) |
| override virtual

Implements xgboost::Value.

## ◆ Save()

void xgboost::JsonBoolean::Save | ( | JsonWriter * | writer | ) |
| override virtual

Implements xgboost::Value.

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/include/xgboost/json.h